/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.activemq.artemis.cli.factory.serialize;

import javax.jms.Message;
import javax.jms.Session;
import java.io.InputStream;
import java.io.OutputStream;

public interface MessageSerializer {

   Message read() throws Exception;

   void write(Message message);

   void setOutput(OutputStream out) throws Exception;

   void setInput(InputStream in, Session session) throws Exception;

   void start() throws Exception;

   void stop() throws Exception;
}
