/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.activemq.artemis.util;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.HashMap;
import java.util.Map;

import org.apache.activemq.artemis.utils.ConfigurationHelper;
import org.junit.jupiter.api.Test;

public class ConfigurationHelperTest {

   @Test
   public void testDefaultInt() {
      Map<String, Object> values = new HashMap<>();
      values.put("test", "zzz");
      assertEquals(3, ConfigurationHelper.getIntProperty("test", 3, values));
   }

   @Test
   public void testDefaultLong() {
      Map<String, Object> values = new HashMap<>();
      values.put("test", "zzz");
      assertEquals(3L, ConfigurationHelper.getLongProperty("test", 3L, values));
   }
}
